package com.zjsgfa.project.zjsgfa.mapper;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjSggyZjyFdsj;

/**
 * 设计信息-施工概要-分段钻井液设计Mapper接口
 * 
 * @author
 * @date 2025-08-20
 */
public interface SjSggyZjyFdsjMapper 
{
    /**
     * 查询设计信息-施工概要-分段钻井液设计
     * 
     * @param id 设计信息-施工概要-分段钻井液设计主键
     * @return 设计信息-施工概要-分段钻井液设计
     */
    public SjSggyZjyFdsj selectSjSggyZjyFdsjById(Long id);

    /**
     * 查询设计信息-施工概要-分段钻井液设计列表
     * 
     * @param sjSggyZjyFdsj 设计信息-施工概要-分段钻井液设计
     * @return 设计信息-施工概要-分段钻井液设计集合
     */
    public List<SjSggyZjyFdsj> selectSjSggyZjyFdsjList(SjSggyZjyFdsj sjSggyZjyFdsj);

    /**
     * 新增设计信息-施工概要-分段钻井液设计
     * 
     * @param sjSggyZjyFdsj 设计信息-施工概要-分段钻井液设计
     * @return 结果
     */
    public int insertSjSggyZjyFdsj(SjSggyZjyFdsj sjSggyZjyFdsj);

    /**
     * 修改设计信息-施工概要-分段钻井液设计
     * 
     * @param sjSggyZjyFdsj 设计信息-施工概要-分段钻井液设计
     * @return 结果
     */
    public int updateSjSggyZjyFdsj(SjSggyZjyFdsj sjSggyZjyFdsj);

    /**
     * 删除设计信息-施工概要-分段钻井液设计
     * 
     * @param id 设计信息-施工概要-分段钻井液设计主键
     * @return 结果
     */
    public int deleteSjSggyZjyFdsjById(Long id);

    /**
     * 批量删除设计信息-施工概要-分段钻井液设计
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjSggyZjyFdsjByIds(Long[] ids);

    int deleteSjSggyZjyFdsjByJh(String jh);


    int insertSjSggyZjyFdsjBatch(List<SjSggyZjyFdsj> sjSggyZjyFdsjList);

}
